<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<html>
    <head>
        <title>Zlatan - Inserimento ordine diretto</title>
        <link rel="stylesheet" type="text/css" href="./default.css" />
    </head>
    <body>
        <h2>Zlatan System</h2>
        <h1>Inserimento ordine di acquisto diretto</h1>
        <%
            int matNum = Integer.parseInt(request.getParameter("matNum"));
        %>
        
        <form action="DirectInserter" method="post">
            <table>
                <tr>
                    <td>Host dell'engine BPEL</td>
                    <td><input type="text" name="host" value="127.0.0.1:16510" /></td>
                </tr>
                <tr>
                    <td>Numero cliente</td>
                    <td><input type="text" name="partnerNumber" /> (*)</td>
                </tr>
                <tr>
                    <td>Numero ordine d'acquisto</td>
                    <td><input type="text" name="PONumber" /> (**)</td>
                </tr>

                <%
                    for (int i = 1; i <= matNum; i++) {
                %>

                <tr>
                    <td>Codice materiale <%= i %></td>
                    <td><input type="text" name="mat<%= i %>Code" /> 
                        <% if (i == 1) { %>(*)<%  } %>
                    </td>
                    <td>Quantit&agrave; materiale <%= i %></td>
                    <td><input type="text" name="mat<%= i %>Qty" />
                        <% if (i == 1) { %>(*)<%  } %>
                    </td>
                </tr>
                
                <% } %>
                
                <tr>
                    <td colspan="4"><b>(*) campo obbligatorio</b></td>
                </tr>
                <tr>
                    <td colspan="4"><b>(**) se non inserito, ne verr&agrave; assegnato uno in automatico</b></td>
                </tr>
                
                <tr>
                    <td colspan="4" align="center">
                        <input type="hidden" name="matNum" value="<%= matNum %>" />
                        <input type="submit" value="Invia" />
                        <input type="reset" value="Cancella" />
                    </td>
                </tr>
            </table>
        </form>
        <h2><a class="footer" href="info.html">about</a> - <a class="footer" href="index.html">menu</a></h2>
    </body>
</html>
